g2_miss.c(3)

NAME
g2_miss.c - Check the Data Representation Template to see if missing value management is used, and returns the missing value(s) in the data field.

SYNOPSIS

#include 'grib2_int.h'

  Functions

void g2_miss (gribfield *gfld, float *rmiss, int *nmiss)
Check the Data Representation Template to see if missing value management is used, and return the missing value(s) in the data field.

Detailed Description

Check the Data Representation Template to see if missing value management is used, and returns the missing value(s) in the data field.

Author
    Stephen Gilbeert

Date
    2004-12-16

Definition in file g2_miss.c.

Function Documentation

  void g2_miss (gribfield * gfld, float * rmiss, int * nmiss)

Check the Data Representation Template to see if missing value management is used, and return the missing value(s) in the data field.

Parameters
    gfld pointer to gribfield structure.
    rmiss List of the missing values used.
    nmiss NUmber of the missing values included in the field. rmiss must be allocated in the calling program with enough space hold all the missing values.

Author
    Stephen Gilbeert

Date
    2004-12-16

Definition at line 24 of file g2_miss.c.

References gribfield::idrtmpl, gribfield::idrtnum, and rdieee().

Author

Generated automatically by Doxygen for NCEPLIBS-g2c from the source code.